Subject: bug#17149: shred - tape data

From: Pádraig Brady <[email-masked]>
Date: Tue, 01 Apr 2014 16:31:41 +0100

On 04/01/2014 03:38 PM, Rupert Russell wrote:
> Aha,
> 
> Ok, I've aborted my script which had only been running a short while and I'll run this overnight and see what happens at the end.
> Just ran a short test for a few minutes (90mb worth on the tape) and the tracefile was under 3meg, so I am hoping that my 140gig available diskspace will be enough...

To save some space you could:
  strace -e lseek ....

Though TBH I think what may be happening is that the lseek()
does not rewind the tape at all and only resets the file offset.

I also just noticed the `man 4 st` information which suggests
that the mt command to rewind the tape might be redundant
and the tape would auto rewind anyway when each device was closed.
So you could also hack it like:

  shred -n1 /dev/st0 /dev/st0 /dev/st0

Pádraig.